NuGet Error NU1103

Unable to find a stable package 'PackageId' with version (>= 3.0.0)
- Found 10 version(s) in 'sourceA' [ Nearest version: '4.0.0-rc-2129' ]
- Found 9 version(s) in 'sourceB' [ Nearest version: '3.0.0-beta-00032' ]
- Found 0 version(s) in 'sourceC'
- Found 0 version(s) in 'sourceD'

Issue

The project specified a stable version for the dependency range, but no stable versions were found in that range. Pre-release versions were found but are not allowed.

Solution

Edit the version range in the project file to include pre-release versions. See Package versioning.